Bug 104288 - dovecot imap mis-serves malformed message
dovecot imap mis-serves malformed message
Product: Red Hat Linux Beta
Classification: Retired
Component: dovecot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2003-09-11 22:58 EDT by Warren Togami
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-28 02:07:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2003-09-11 22:58:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
When dovecot imap serves this message, it causes evolution-1.4.4 to crash. 
evolution-1.4.4 does not crash when it reads the same message from uw-imapd or a
local folder.

This is the dovecot part of the bug.

Version-Release number of selected component (if applicable):
Comment 1 Warren Togami 2003-09-11 23:05:20 EDT
This dovecot IMAP problem with this malformed message causes squirrelmail to be
confused, making the message unreadable.  Mozilla is however able to read the

The evolution problem that this exposes is Bug 104289.
Comment 2 Warren Togami 2003-09-21 06:42:48 EDT
Timo suggested this patch which he believed would solve the problem, but after
extensive testing this particular problem seems unchanged.

Please look at the two other patches that prevent dovecot crashes in other
corner cases.
Comment 3 Warren Togami 2003-09-23 03:59:31 EDT
Timo updated this patch which seems to fix this dovecot problem.  I am currently
running this in production for long term stability testing.

Please consider patching the other patches from Dovecot's homepage too.
Comment 4 Jeremy Katz 2003-09-23 11:11:02 EDT
Added all the patches for -6

Note You need to log in before you can comment on or make changes to this bug.